//CGfxPodium - [2020-04-13 11:57:46]
#ifndef _CGFXPODIUM_H_
#define _CGFXPODIUM_H_

#include "common.h"
#include "CFTTModel.h"
/*

0018F558 CGfxPodium::Process()
0018F608 CGfxPodium::Render()
0018F7CC CGfxPodium::Shutdown()
0018F83A CGfxPodium::Init()
0018F840 CGfxPodium::SetActive(bool)
0018F85C CGfxPodium::GetActive()
0018F86C CGfxPodium::SetPos(TPoint3D *,int)
*/

class CGfxPodium {
public:
  static void Process();                //0018F558
  void Render();                 //0018F608
  void Shutdown();               //0018F7CC
  void Init();                   //0018F83A
  static void SetActive(bool);          //0018F840
  void GetActive();              //0018F85C
	static  void SetPos(TPoint3D *, int);  //0018F86C
	static bool ms_bActive;
	static int ms_iPodiumTexture;
	static CFTTModel *ms_pModel;
	static CFTTMatrix32 * ms_mMatrix;
};

#endif  //_CGFXPODIUM_H_